import { api } from '@/services/api';
import { generateNewLocalMenu } from '@/utils/generateNewLocalMenu';
import { request } from '@umijs/max';
import routes from '../../config/routes';
/**
 * @param data 菜单参数 ["book"]
 */
export async function getMenu(data:any[]): Promise<any> {
  return request(api + '/erp/menu/getRouters', {
    method: 'PUT',
    data
  }).then(res=>{
      let menus:any = []
      for(let name of data){
        let arr = generateNewLocalMenu(routes,res.data[name])
        menus = [...menus,...arr]
      }
      console.log("menus",menus)
     return menus
  }).catch(err=>{
    console.log(err)
  })
}
